summaryrefslogtreecommitdiffstats
path: root/testing/open-lldp/open-lldp.initd
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2012-07-17 12:19:21 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2012-07-17 12:21:22 +0000
commitf189da3234c4a015fa7050dc05cb8e17207897e2 (patch)
tree9be0601dbd764db5fdf2a224cddf05048fbeda85 /testing/open-lldp/open-lldp.initd
parentd39a0961cd6f133e3a0b61991e82b8e6595ab55d (diff)
downloadaports-f189da3234c4a015fa7050dc05cb8e17207897e2.tar.bz2
aports-f189da3234c4a015fa7050dc05cb8e17207897e2.tar.xz
testing/open-lldp: new aport
A Link Layer Discovery Protocol Agent Daemon
Diffstat (limited to 'testing/open-lldp/open-lldp.initd')
-rwxr-xr-xtesting/open-lldp/open-lldp.initd24
1 files changed, 24 insertions, 0 deletions
diff --git a/testing/open-lldp/open-lldp.initd b/testing/open-lldp/open-lldp.initd
new file mode 100755
index 000000000..ed9807d51
--- /dev/null
+++ b/testing/open-lldp/open-lldp.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+
+NAME="lldpad"
+DAEMON="/usr/sbin/$NAME"
+pidfile=/var/run/$NAME.pid
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${NAME}"
+ start-stop-daemon --start --quiet --pidfile ${pidfile} \
+ --exec ${DAEMON} -- ${OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${NAME}"
+ start-stop-daemon --stop --exec ${DAEMON}
+ eend $?
+}
+